/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2006, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.wsf.framework.transport;

import org.jboss.wsf.spi.transport.TransportManagerFactory;
import org.jboss.wsf.spi.transport.TransportManager;
import org.jboss.wsf.spi.transport.Protocol;

/**
 * @author Heiko.Braun <heiko.braun@jboss.com>
 */
public class DefaultTransportManagerFactory implements TransportManagerFactory
{

   public TransportManager createTransportManager(Protocol protocol)
   {
      TransportManager manager = null;

      switch(protocol)
      {
         case HTTP:
            manager = new HttpTransportManager();
            break;
         default:
            throw new IllegalArgumentException("No TransportManager for protocol: " + protocol);
      }

      return manager;
   }
}
